Header Parameters
Idempotency-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/numbers" \ -H "Content-Type: application/json" \ -d '{ "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992", "country_code": "st" }'{ "provider": "twilio", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "e164": "string", "country_code": "string", "number_type": "string", "capabilities": [ "string" ], "provisioning_state": "string", "is_dedicated": true, "messaging_service_sid": "string", "voice_agent_id": "2fc8d568-5ce2-4e51-baa8-38c877b5dd08", "sms_agent_id": "290deec0-b195-4d0c-9c32-ca9dce0ce328", "inbound_registered": false}